<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output encoding="utf-8" />

 <xsl:param name="Xlf">MyFirmware.xml.xlf</xsl:param>
 <xsl:param name="Src">en-us</xsl:param>
 <xsl:param name="Trg">fr-fr</xsl:param>

 <xsl:template match="node()|@*">
  <xsl:copy>
   <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
 </xsl:template>

 <xsl:template match="text">
  <xsl:variable name="MsgID">
   <xsl:value-of select="../@id"/>
  </xsl:variable>
  <xsl:variable name="Match">
   <xsl:copy-of select="document($Xlf)//trans-unit[@resname=$MsgID]/target"/>
  </xsl:variable>
  <xsl:element name="text">
   <xsl:choose>
    <xsl:when test="$Match=''">***ERROR: ID NOT FOUND in XLF File***</xsl:when>
    <xsl:otherwise><xsl:value-of select="$Match" disable-output-escaping="yes"/></xsl:otherwise>
   </xsl:choose>
  </xsl:element>
 </xsl:template>

 <xsl:template match="ph">[ph]
 </xsl:template>

 <xsl:template match="value">
  <xsl:variable name="ValID">
   <xsl:value-of select="@id"/>
  </xsl:variable>
  <xsl:variable name="Match">
   <xsl:value-of select="document($Xlf)//trans-unit[@resname=$ValID]/target"/>
  </xsl:variable>
  <xsl:element name="value">
   <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
   <xsl:choose>
    <xsl:when test="$Match=''">***ERROR: ID NOT FOUND in XLF File***</xsl:when>
    <xsl:otherwise><xsl:value-of select="$Match"/></xsl:otherwise>
   </xsl:choose>
  </xsl:element>
 </xsl:template>

</xsl:transform>
