<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output encoding="utf-8" indent="yes"/>

 <xsl:param name="Src">en-us</xsl:param>
 <xsl:param name="Trg">fr-fr</xsl:param>

 <!-- Remove any non-text characters -->
 <xsl:template match="text()"/>

 <!-- Copy <text> content -->
 <xsl:template match="//text/text()"><xsl:copy><xsl:apply-templates select="node()"/></xsl:copy></xsl:template> 

 <xsl:template match="/">
  <xliff version="1.0">
   <file datatype="firmware">
    <xsl:attribute name="original">[Process-defined]</xsl:attribute>
    <xsl:attribute name="source-language"><xsl:value-of select="$Src"/></xsl:attribute>
    <xsl:attribute name="target-language"><xsl:value-of select="$Trg"/></xsl:attribute>
    <xsl:apply-templates select="node()"/>
   </file>
  </xliff>
 </xsl:template>

 <xsl:template match="messages">
  <group restype="message">
   <xsl:for-each select="msg">
    <trans-unit>
     <xsl:attribute name="id"><xsl:value-of select="position()"/></xsl:attribute>
     <xsl:attribute name="resname"><xsl:value-of select="@id"/></xsl:attribute>
     <source><xsl:attribute name="xml:lang"><xsl:value-of select="$Src"/></xsl:attribute><xsl:apply-templates select="text"/></source>
     <target>
      <xsl:attribute name="xml:lang"><xsl:value-of select="$Trg"/></xsl:attribute>
      <xsl:apply-templates select="text"/>
     </target>
    </trans-unit>
   </xsl:for-each>
  </group>
 </xsl:template>

 <xsl:template match="lst">
  <group restype="list">
   <xsl:attribute name="resname"><xsl:value-of select="@id"/></xsl:attribute>
   <xsl:for-each select="value">
    <trans-unit>
     <xsl:attribute name="id"><xsl:value-of select="position()"/></xsl:attribute>
     <xsl:attribute name="resname"><xsl:value-of select="@id"/></xsl:attribute>
     <source><xsl:attribute name="xml:lang"><xsl:value-of select="$Src"/></xsl:attribute><xsl:value-of select="."/></source>
     <target>
      <xsl:attribute name="xml:lang"><xsl:value-of select="$Trg"/></xsl:attribute>
      <xsl:value-of select="."/>
     </target>
    </trans-unit>
   </xsl:for-each>
  </group>
 </xsl:template>

 <xsl:template match="text"><xsl:apply-templates select="node()"/></xsl:template>

<!--
 <xsl:template match="var"><ph id='v1'><xsl:attribute name="ctype">var</xsl:attribute><xsl:attribute name="ts"><xsl:value-of select="@ref"/></xsl:attribute></ph></xsl:template>

 <xsl:template match="num"><ph id='n1'><xsl:attribute name="ctype">num</xsl:attribute><xsl:attribute name="ts"><xsl:value-of select="@width"/></xsl:attribute></ph></xsl:template>
-->

 <xsl:template match="var"><ph id='v1'><xsl:attribute name="ctype">var</xsl:attribute><xsl:attribute name="ts"><xsl:value-of select="@ref"/></xsl:attribute>&lt;var ref="<xsl:value-of select="@ref"/>"/></ph></xsl:template>

 <xsl:template match="num"><ph id='n1'><xsl:attribute name="ctype">num</xsl:attribute><xsl:attribute name="ts"><xsl:value-of select="@width"/></xsl:attribute>&lt;num width="<xsl:value-of select="@width"/>"/></ph></xsl:template>

</xsl:transform>
